Package Details: fvim 0.2.349_9f6430d-1

Git Clone URL: https://aur.archlinux.org/fvim.git (read-only, click to copy)
Package Base: fvim
Description: Cross platform Neovim front-end UI, built with F# + Avalonia
Upstream URL: https://github.com/yatli/fvim
Licenses: MIT
Conflicts: fvim
Provides: fvim
Submitter: jjohnson338
Maintainer: jjohnson338 (yatli)
Last Packager: yatli
Votes: 3
Popularity: 0.53
First Submitted: 2019-09-05 00:54
Last Updated: 2020-11-23 10:44

Latest Comments

jjohnson338 commented on 2020-11-25 18:38

wbthomason, I just removed the package and rebuilt it on my end and I'm successfully building. Looking at your build logs and mine, seems the .NET build engine differs.

Yours:
==> Starting build()...
Microsoft (R) Build Engine version 16.4.0+e901037fe for .NET Core
Copyright (C) Microsoft Corporation. All rights reserved.
Mine:
==> Starting build()...
Microsoft (R) Build Engine version 16.7.0+7fb82e5b2 for .NET
Copyright (C) Microsoft Corporation. All rights reserved.

Potentially you have a different version of dotnet installed?

[jared@jared-laptop ~]$ dotnet --version
3.1.402

wbthomason commented on 2020-11-25 17:58

Hmm, I'm getting build failures with the latest version - some errors complaining that types like uint are not defined. Is this building correctly for everyone else?

My build log: https://hastebin.com/ovosivotah

yatli commented on 2020-11-23 10:49

Thanks Jared! I think I'm getting grip of the AUR system, and I appreciate its flexibility (e.g. dotnet-host vs. dotnet-host-bin). Anytime you find the package outdated, please go ahead and update -- I'll be also keeping an eye when I come to the arch box :)

jjohnson338 commented on 2020-11-20 14:59

yatli, good job! I saw the comment and just started making the changes you suggested. When I went to commit, my push failed because I wasn't up-to-date. Hadn't realized that you had started updating this PKGBUILD. Seems like you've got it under control. I'll keep an eye on the versioning of FVim and help out keeping it up to date in-case you haven't gotten to it yet.

Also, feel free to add yourself as a maintainer at the top of the PKGBUILD

yatli commented on 2020-11-18 07:14

dotnet-sdk-bin is moving to provide dotnet-sdk-5.0, let's make our requirements more explicit:

  • dotnet-host: the generic command line driver
  • dotnet-sdk-3.1: the actual required SDK.

and thus one could use the host command from either 3.1 or 5.0, and still keep using the 3.1 SDK.

yatli commented on 2020-10-24 14:41

Thanks Jared! The recent updates reverted the Avalonia packages back to 0.10.0-preview2 due to performance issues on X11. v0.2.277 should be good, and I'll notify the Avalonia team about the performance issue.

jjohnson338 commented on 2020-10-23 19:31

yatli - I've added you as a co-maintainer and am working on updating the pkgbuild script now to target the release from yesterday

yatli commented on 2020-10-22 08:54

The latest versions have switched to netcoreapp3.1. How do I apply as a maintainer?

dontdieych commented on 2020-08-02 11:05

Doesn't it working with repo's dotnet-sdk version? 3.1.3.sdk103.2-1

LiteracyFanatic commented on 2019-11-02 17:16

I get the following error when running fvim from this package. It looks like FSharp.Core.dll and FSharp.Data.dll need to have read permissions added for group and all. Also, the wrapper script should probably quote $@.

Unhandled exception. System.IO.FileLoadException: Could not load file or assembly 'FSharp.Core, Version=4.7.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a'. Access is denied.

File name: 'FSharp.Core, Version=4.7.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a'

/usr/bin/fvim: line 3: 43106 Aborted (core dumped) /usr/share/fvim/FVim $@